package com.alibaba.druid.sql.dialect.db2.ast.stmt.alterTable;

import com.alibaba.druid.sql.ast.SQLExpr;
import com.alibaba.druid.sql.ast.statement.SQLAlterTableItem;
import com.alibaba.druid.sql.dialect.db2.ast.DB2SQLObject;
import com.alibaba.druid.sql.dialect.db2.ast.DB2SQLObjectImpl;
import com.alibaba.druid.sql.dialect.db2.visitor.DB2ASTVisitor;
import com.alibaba.druid.sql.visitor.SQLASTVisitor;

public class DB2AlterTableCluster extends DB2SQLObjectImpl implements SQLAlterTableItem, DB2SQLObject {
   private SQLExpr index;

   public SQLExpr getIndex() {
      return this.index;
   }

   public void setIndex(SQLExpr index) {
      this.index = index;
      index.setParent(this);
   }

   public void accept0(SQLASTVisitor visitor) {
      this.accept0((DB2ASTVisitor)visitor);
   }

   public void accept0(DB2ASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.index.accept(visitor);
      }

      visitor.endVisit(this);
   }

   public DB2AlterTableCluster clone() {
      DB2AlterTableCluster c = new DB2AlterTableCluster();
      c.setIndex(this.index.clone());
      return c;
   }

   public static enum Type {
      all,
      user;
   }
}
